Está en la página 1de 3

Moodle 2.0.

Con la llegada del Moodle 2.0.+ los requerimientos para su uso, desarrollo e instalacin dependen de la actualidad o novedad del software base para la ejecucin de sus procesos. stos requerimientos se dividen en: Hardware Disco duro: La plataforma necesita mnimo un espacio en el quipo local o servidor de 160 Megabytes. Sin embargo hay que tener en cuenta a la hora de almacenar los archivos educativos de los usuarios. Memoria RAM: Para establecer cunta memoria se necesita hay que tener en cuenta el siguiente factor:

Esto quiere decir que por cada 50 usuarios que se encuentren en la plataforma es necesario tener 1gb de memoria de RAM para realizar sus procesos de forma masiva. Sin embarego es recomendado 4GB. Software Servidor que soporte Apache, ISS de las plataformas Windows Php para las siguientes versiones de la plataforma: o 1.9: Requiere una versin mnima del 4.3.0 o posteriores. o 2.0.+: La versin que soporta es 5.2.8 o posteriores. o 2.1: Versin mnima dl php es 5.3 o posteriores. La base de datos que soporta la plataforma MOODLE es MySQL (4.1.16 es la versin mnima para trabajar desde la version 1.6 de MOODLE), MsSQL, PostgreSQL, o Oracle.

PHP (php.ini) Esta configuracin determina algunos procesos de la plataforma MOODLE tal y como el tamao de archivos en el sistema, su procesamiento o su tiempo de respuesta. Estos son las configuraciones ms esenciales a la hora de haber instalado la plataforma de MOODLE: upload_max_filesize: Determina el tamao mximo de los archivos subidos a la plataforma. post_max_size: Determine tambin el tamao de los archivos posteados a la base de datos. memory_limit: La plataforma Moodle 2.0 requiere como mnimo una capacidad de memoria para sus procesos (Ejemplo, en las configuraciones de curso), de 128 Megabytes.

Requerimientos adicionales:

Librera GD y librera FreeType 2 para poder construir los grficos de los registros de Moodle. mbstring - es requerido para manipular cadenas de caracteres multi-byte (iconv tambin es recomendable para Moodle 1.6). La extensin MySQL si va a utilizar la base de datos MySQL. En algunas distribuciones de Linux (principalmente RedHat) se trata de un paquete opcional. La extensin pgsql si va a utilizar una base de datos PostgreSQL. La extensin zlib es necesaria si va a utilizar las funcionalidades zip/unzip. Otras extensiones PHP podran ser necesarias dependiendo de las funcionalidades opcionales de Moodle que vayan a ser utilizadas, especialmente las relacionadas con autenticacin y matriculacin (p. ej. la extensin LDAP).

Estimados Colegas del Diplomado

Muy respetuosamente me dirijo a ustedes con el fin de informarles que el da de hoy (18 de Agosto) se realizarn un mantenimiento de la plataforma MOODLE con el fin de migrar la Base de Datos a otro servidor. Esta migracin se realizar a partir de las 5 de la tarde y tendr una duracin de una hora. La prolongacin es debido a verificar los datos y la informacin se encuentre en perfectas condiciones. Lamentamos las molestias que puedan causarles Cordialmente:

Centro de Innovacin Educativa VACO